{% extends 'base.html' %}
{% load static %}
{% load static i18n %}
{% load translations %}
{% block title %}{% translate 'Book' %}  {% endblock title %}
{% block links %}
    <link rel="stylesheet" href="https://unpkg.com/js-datepicker/dist/datepicker.min.css">
    <link rel="stylesheet" href="{% static 'app/css/select2.css' %}"/>
{% endblock links %}

{% block content %}
{% get_current_language as LANGUAGE_CODE %}
<body class="haveSlider book book3 haveSelect">

	<!-- <section class="transformed transformed2ver"> -->
	<section>
    {% if promotional_service %}
        {% include 'service_app/layouts/promotial_service.html' %}
    {% endif %}

		<div class="widthWrapper mainContent">
			<h1 class="title">{% translate 'BOOK' %}</h1>
				<p>{% translate 'Your Treatment' %}</p>
			<ul id="anchorToTheDatepicker" class="generalSteps">
				<li data-index="0"  class="active finished"><span class="digit">1</span><p>{% translate 'SELECT A DATE' %}</p></li>
				<li data-index="1" ><span class="digit">2</span><p>{% translate 'YOUR TREATMENT' %}</p></li>
				<li data-index="2" ><span class="digit">3</span><p>{% translate 'SELECT A TIME' %}</p></li>
				<li data-index="3" ><span class="digit">4</span><p>{% translate 'GUEST DATA' %}</p></li>
			</ul>
			<div class="mainContent--change">

				<section class="sections section0 widthWrapper visible">
					{% include 'service_app/layouts/calendar.html' %}
				</section>

				<section class="sections section2 third-step widthWrapper">
					<div class="checkbox__form">
                        {% if booking_service.additional_services.all %}
						<p>{% translate 'You can add the following to your treatment:' %}</p>
                        {% for additional_services_list in booking_service.additional_services.all %}
						<label class="label-trigger">
							<input type="checkbox" name="time">
							<h2><span class="checkbox__title">{{ additional_services_list.additional_service|get_title:LANGUAGE_CODE }}</span> + <span id="{{additional_services_list.id}}" class="currentLabelPrice">{{ additional_services_list.price }}</span>Fr</h2>
							<span class="checkmark"></span>
							<span class="choosed-label"></span>
						</label>
                        {% endfor %}
                        {% else %}
                            <p>{% translate 'No additional services.' %}</p>
                        {% endif %}
					</div>
					<a href="javascript:void(0)" index="2" id="generateSnake" class="button next next2">{% translate 'NEXT' %}</a>
				</section>

				<section class="sections section1 widthWrapper busy">
					<!-- <h2>{% translate 'There are no available hours. Please select another date or treatment.' %}</h2> -->
					{% include 'service_app/layouts/timeline.html' %}
					<!-- <a href="#" index="3" class="button noHover next next3 disabled">{% translate 'NEXT' %}</a> -->
				</section>



				<section class="sections section3 widthWrapper">
					{% include 'service_app/layouts/guest_data_for_booking.html' %}
				</section>

				<section class="sections section4 widthWrapper">
					<h1>{% translate 'Reservation Completed' %}</h1>
					<p>{% translate 'Awaiting confirmation by email' %}</p>
					<img src="{% static 'app/images/src/logo.svg' %}" alt="">
				</section>
			</div>
		</div>

		<div class="videoGalleryContainer">
			<div class="widthWrapper videoPart">
                {% for service_to_hotel in service_to_hotel_list %}
                    <div class="videoPart__text {% if service_to_hotel == service_to_hotel_list.first %}active{% endif %}">
                        <span class="videoPart__text--pre">{% translate 'Service' %}</span>
                        <h2 class="title">{{ service_to_hotel.service|get_title:LANGUAGE_CODE }}</h2>
                        <p>{{ service_to_hotel.service|get_description:LANGUAGE_CODE }}</p>
						<a class="button" data-fancybox href="https://www.youtube.com/watch?v=_sI_Ps7JSEk">
							{% translate 'PLAY VIDEO' %}
						</a>
                    </div>
                {% endfor %}
				<div class="videoPart__video">
                    {% for service_to_hotel in service_to_hotel_list %}
                        {% if service_to_hotel.service.img %}
					        <img src="{{ service_to_hotel.service.img.url }}" {% if service_to_hotel == service_to_hotel_list.first %}class="active"{% endif %} alt="">
                        {% else %}
                            <img src="{% static 'app/images/src/videoTest2.jpg' %}" alt="">
                        {% endif %}
                    {% endfor %}
					<!-- <video class="mainVideo">
					 		<source src="images/video/iselin.mp4">
				 	</video> -->
				</div>
				<ul class="videoPart__gallery">
                    {% for service_to_hotel in service_to_hotel_list %}
                        <li data-index="0">
                        {% if  service_to_hotel.service.img %}
                            <img src="{{ service_to_hotel.service.img.url }}" alt="">
                            <!-- <video>
                                <source src="images/video/iselin.mp4">
                            </video> -->
                        {% else %}
                            <img src="{% static 'app/images/src/videoTest2.jpg' %}" alt="">
                        {% endif %}
                             <p>{{ service_to_hotel.service|get_short_desc:LANGUAGE_CODE }}</p>
                        </li>
                    {% endfor %}
				</ul>
			</div> 	
		</div>

		<div class="bottomText widthWrapper">
			<h1 class="title">{{ user_type.user.hotel|get_title:LANGUAGE_CODE }}</h1>
			<p>{{ user_type.user.hotel|get_description:LANGUAGE_CODE }}</p>
{#			<a href="#" class="button">VIEW MEMBERSHIP BROCHURE</a>#}
		</div>

	</section>



{% endblock content %}
{% block scripts %}
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
	<script>let period = {{booking_service.minutes}};
			var serviceID = {{booking_service.id}};
			var serviseNameEng = '{{booking_service.service|get_title:'en'}}';
			var serviseNameDe = '{{booking_service.service|get_title:'de'}}';
            var percent = '{{ booking_service.hotel.percent_for_special_time }}'
			// var serviceName = `{{booking_service.service|get_title:'${langCode}'}}`;
			var gettedSuperData = {hotelID : {{booking_service.hotel_id}}, serviceID: {{booking_service.id}}, userRole: {% if user_type.is_therapist %}'therapist'{%elif user_type.is_administrator%}'hotel_admin'{% elif user_type.is_superuser %}'superuser'{%endif%}, userId: {{user_type.user.id}}}
			var csrf = '{{csrf_token}}';
			var currentPrice = '{{booking_service.price}}';
	</script>
	
{% endblock scripts %}
